## squid 0.1.0

=== DESCRIPTION ===
Package: squid
Title: Statistical Quantification of Individual Differences
Version: 0.1.0
Authors@R: c(
    person("Hassen"  , "Allegue"    , email = "hassen.allegue@gmail.com"          , role = c("aut","cre")),
    person("Yimen"   , "Araya"      , email = "yimencr@gmail.com"                 , role = "aut"),
    person("Niels"   , "Dingemanse" , email = "ndingemanse@orn.mpg.de"            , role = "aut"),
    person("Ned"     , "Dochtermann", email = "ned.dochtermann@gmail.com"         , role = "aut"),
    person("Laszlo"  , "Garamszegi" , email = "laszlo.garamszegi@ebd.csic.es"     , role = "aut"),
    person("Shinichi", "Nakagawa"   , email = "itchyshin@gmail.com"               , role = "aut"),
    person("Holger"  , "Schielzeth" , email = "holger.schielzeth@uni-bielefeld.de", role = "aut"),
    person("Dave"    , "Westneat"   , email = "david.westneat@uky.edu"            , role = "aut"))
Description: A simulation-based tool made to help researchers to become familiar with
    multilevel variations, and to build up sampling designs for their study. 
    This tool has two main objectives: First, it provides an educational tool useful for students, 
    teachers and researchers who want to learn to use mixed-effects models. 
    Users can experience how the mixed-effects model framework can be used to understand 
    distinct biological phenomena by interactively exploring simulated multilevel data. 
    Second, it offers research opportunities to those who are already familiar with 
    mixed-effects models, as it enables the generation of data sets that users may download 
    and use for a range of simulation-based statistical analyses such as power 
    and sensitivity analysis of multilevel and multivariate data.
URL: https://github.com/hallegue/squid
BugReports: https://github.com/hallegue/squid/issues
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
LazyData: true
Imports: stats, shiny (>= 0.13.0), ggplot2 (>= 2.0.0), grid (>= 3.2.3),
        MASS (>= 7.3-45), lme4 (>= 1.1-10), arm (>= 1.8-6), data.table
        (>= 1.9.6)
RoxygenNote: 5.0.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2016-05-31 23:35:47 UTC; Hassen
Author: Hassen Allegue [aut, cre],
  Yimen Araya [aut],
  Niels Dingemanse [aut],
  Ned Dochtermann [aut],
  Laszlo Garamszegi [aut],
  Shinichi Nakagawa [aut],
  Holger Schielzeth [aut],
  Dave Westneat [aut]
Maintainer: Hassen Allegue <hassen.allegue@gmail.com>
Repository: CRAN
Date/Publication: 2016-06-01 16:03:45

## squid 0.1.1

=== DESCRIPTION ===
Package: squid
Title: Statistical Quantification of Individual Differences
Version: 0.1.1
Authors@R: c(
    person("Hassen"  , "Allegue"        , email = "hassen.allegue@gmail.com"          , role = c("aut","cre")),
    person("Yimen"   , "G. Araya-Ajoy"  , email = "yimencr@gmail.com"                 , role = "aut"),
    person("Niels"   , "J. Dingemanse"  , email = "ndingemanse@orn.mpg.de"            , role = "aut"),
    person("Ned"     , "A. Dochtermann" , email = "ned.dochtermann@gmail.com"         , role = "aut"),
    person("Laszlo"  , "Z. Garamszegi"  , email = "laszlo.garamszegi@ebd.csic.es"     , role = "aut"),
    person("Shinichi", "Nakagawa"       , email = "itchyshin@gmail.com"               , role = "aut"),
    person("Denis"   , "Reale"          , email = "reale.denis@uqam.ca"               , role = "aut"),
    person("Holger"  , "Schielzeth"     , email = "holger.schielzeth@uni-bielefeld.de", role = "aut"),
    person("David"   , "F. Westneat"    , email = "david.westneat@uky.edu"            , role = "aut"))
Description: A simulation-based tool made to help researchers to become familiar with
    multilevel variations, and to build up sampling designs for their study. 
    This tool has two main objectives: First, it provides an educational tool useful for students, 
    teachers and researchers who want to learn to use mixed-effects models. 
    Users can experience how the mixed-effects model framework can be used to understand 
    distinct biological phenomena by interactively exploring simulated multilevel data. 
    Second, it offers research opportunities to those who are already familiar with 
    mixed-effects models, as it enables the generation of data sets that users may download 
    and use for a range of simulation-based statistical analyses such as power 
    and sensitivity analysis of multilevel and multivariate data.
URL: https://github.com/hallegue/squid
BugReports: https://github.com/hallegue/squid/issues
Depends: R (>= 3.3.0)
License: MIT + file LICENSE
LazyData: true
Imports: stats, shiny (>= 0.13.0), ggplot2 (>= 2.0.0), grid (>= 3.2.3),
        MASS (>= 7.3-45), lme4 (>= 1.1-10), arm (>= 1.8-6), data.table
        (>= 1.9.6)
RoxygenNote: 5.0.1
Suggests: testthat
NeedsCompilation: no
Packaged: 2016-06-19 23:22:59 UTC; Haycen
Author: Hassen Allegue [aut, cre],
  Yimen G. Araya-Ajoy [aut],
  Niels J. Dingemanse [aut],
  Ned A. Dochtermann [aut],
  Laszlo Z. Garamszegi [aut],
  Shinichi Nakagawa [aut],
  Denis Reale [aut],
  Holger Schielzeth [aut],
  David F. Westneat [aut]
Maintainer: Hassen Allegue <hassen.allegue@gmail.com>
Repository: CRAN
Date/Publication: 2016-06-20 07:55:06

## squid 0.1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: squid
 Title: Statistical Quantification of Individual Differences
-Version: 0.1.1
+Version: 0.1.2
 Authors@R: c(
-    person("Hassen"  , "Allegue"        , email = "hassen.allegue@gmail.com"          , role = c("aut","cre")),
+    person("Hassen"  , "Allegue"        , email = "h.all@disroot.org"                 , role = c("aut","cre")),
     person("Yimen"   , "G. Araya-Ajoy"  , email = "yimencr@gmail.com"                 , role = "aut"),
     person("Niels"   , "J. Dingemanse"  , email = "ndingemanse@orn.mpg.de"            , role = "aut"),
     person("Ned"     , "A. Dochtermann" , email = "ned.dochtermann@gmail.com"         , role = "aut"),
@@ -20,19 +20,21 @@
     Second, it offers research opportunities to those who are already familiar with 
     mixed-effects models, as it enables the generation of data sets that users may download 
     and use for a range of simulation-based statistical analyses such as power 
-    and sensitivity analysis of multilevel and multivariate data.
+    and sensitivity analysis of multilevel and multivariate data [Allegue, H., Araya-Ajoy, Y.G., Dingemanse, 
+    N.J., Dochtermann N.A., Garamszegi, L.Z., Nakagawa, S., Reale, D., Schielzeth, H. and Westneat, D.F. (2016) 
+    <doi: 10.1111/2041-210X.12659>].
 URL: https://github.com/hallegue/squid
 BugReports: https://github.com/hallegue/squid/issues
-Depends: R (>= 3.3.0)
+Depends: R (>= 3.5.0)
 License: MIT + file LICENSE
 LazyData: true
-Imports: stats, shiny (>= 0.13.0), ggplot2 (>= 2.0.0), grid (>= 3.2.3),
-        MASS (>= 7.3-45), lme4 (>= 1.1-10), arm (>= 1.8-6), data.table
-        (>= 1.9.6)
-RoxygenNote: 5.0.1
+Imports: stats, shiny (>= 1.3.2), ggplot2 (>= 3.1.1), grid (>= 3.5.3),
+        MASS (>= 7.3-51.1), lme4 (>= 1.1-21), arm (>= 1.10-1),
+        data.table (>= 1.12.2)
+RoxygenNote: 6.1.1
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2016-06-19 23:22:59 UTC; Haycen
+Packaged: 2019-08-06 15:31:22 UTC; HASSEN
 Author: Hassen Allegue [aut, cre],
   Yimen G. Araya-Ajoy [aut],
   Niels J. Dingemanse [aut],
@@ -42,6 +44,6 @@
   Denis Reale [aut],
   Holger Schielzeth [aut],
   David F. Westneat [aut]
-Maintainer: Hassen Allegue <hassen.allegue@gmail.com>
+Maintainer: Hassen Allegue <h.all@disroot.org>
 Repository: CRAN
-Date/Publication: 2016-06-20 07:55:06
+Date/Publication: 2019-08-06 16:10:02 UTC

## squid 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Package: squid
 Title: Statistical Quantification of Individual Differences
-Version: 0.1.2
+Version: 0.2.0
 Authors@R: c(
     person("Hassen"  , "Allegue"        , email = "h.all@disroot.org"                 , role = c("aut","cre")),
     person("Yimen"   , "G. Araya-Ajoy"  , email = "yimencr@gmail.com"                 , role = "aut"),
     person("Niels"   , "J. Dingemanse"  , email = "ndingemanse@orn.mpg.de"            , role = "aut"),
     person("Ned"     , "A. Dochtermann" , email = "ned.dochtermann@gmail.com"         , role = "aut"),
-    person("Laszlo"  , "Z. Garamszegi"  , email = "laszlo.garamszegi@ebd.csic.es"     , role = "aut"),
+    person("Laszlo"  , "Z. Garamszegi"  , email = "garamszegi.laszlo@okologia.mta.hu" , role = "aut"),
     person("Shinichi", "Nakagawa"       , email = "itchyshin@gmail.com"               , role = "aut"),
     person("Denis"   , "Reale"          , email = "reale.denis@uqam.ca"               , role = "aut"),
     person("Holger"  , "Schielzeth"     , email = "holger.schielzeth@uni-bielefeld.de", role = "aut"),
@@ -23,18 +23,19 @@
     and sensitivity analysis of multilevel and multivariate data [Allegue, H., Araya-Ajoy, Y.G., Dingemanse, 
     N.J., Dochtermann N.A., Garamszegi, L.Z., Nakagawa, S., Reale, D., Schielzeth, H. and Westneat, D.F. (2016) 
     <doi: 10.1111/2041-210X.12659>].
-URL: https://github.com/hallegue/squid
-BugReports: https://github.com/hallegue/squid/issues
-Depends: R (>= 3.5.0)
+URL: https://github.com/squid-group/squid,
+        https://squid-group.github.io/squid/
+BugReports: https://github.com/squid-group/squid/issues
+Depends: R (>= 4.1.0)
 License: MIT + file LICENSE
-LazyData: true
-Imports: stats, shiny (>= 1.3.2), ggplot2 (>= 3.1.1), grid (>= 3.5.3),
-        MASS (>= 7.3-51.1), lme4 (>= 1.1-21), arm (>= 1.10-1),
-        data.table (>= 1.12.2)
-RoxygenNote: 6.1.1
+Imports: stats, shiny (>= 1.6.0), shinyMatrix (>= 0.4.0), ggplot2 (>=
+        3.3.5), plotly (>= 4.9.3), grid (>= 4.1.1), MASS (>= 7.3-53.1),
+        lme4 (>= 1.1-21), arm (>= 1.10-1), data.table (>= 1.1-27.1),
+        brms (>= 2.15.0)
+RoxygenNote: 7.1.1
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2019-08-06 15:31:22 UTC; HASSEN
+Packaged: 2022-01-11 15:10:46 UTC; Hassen
 Author: Hassen Allegue [aut, cre],
   Yimen G. Araya-Ajoy [aut],
   Niels J. Dingemanse [aut],
@@ -46,4 +47,4 @@
   David F. Westneat [aut]
 Maintainer: Hassen Allegue <h.all@disroot.org>
 Repository: CRAN
-Date/Publication: 2019-08-06 16:10:02 UTC
+Date/Publication: 2022-01-11 17:40:02 UTC

## squid 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: squid
 Title: Statistical Quantification of Individual Differences
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: c(
     person("Hassen"  , "Allegue"        , email = "h.all@disroot.org"                 , role = c("aut","cre")),
     person("Yimen"   , "G. Araya-Ajoy"  , email = "yimencr@gmail.com"                 , role = "aut"),
@@ -35,7 +35,7 @@
 RoxygenNote: 7.1.1
 Suggests: testthat
 NeedsCompilation: no
-Packaged: 2022-01-11 15:10:46 UTC; Hassen
+Packaged: 2022-01-21 20:20:50 UTC; HASSEN
 Author: Hassen Allegue [aut, cre],
   Yimen G. Araya-Ajoy [aut],
   Niels J. Dingemanse [aut],
@@ -47,4 +47,4 @@
   David F. Westneat [aut]
 Maintainer: Hassen Allegue <h.all@disroot.org>
 Repository: CRAN
-Date/Publication: 2022-01-11 17:40:02 UTC
+Date/Publication: 2022-01-21 20:40:02 UTC

## squid 2.4.6

=== test-suite/Makefile ===
CC	= gcc
CFLAGS	= -g -Wall -I../include -I../src
OBJS	= membanger.o hash.o SizeToPool.o
LIB	= -L. -lMem
TARGLIB = libMem.a
LIBOBJS = Mem.o \
          Stack.o
AR_R      = /usr/bin/ar r
RM      = rm
XTRA_LIBS = -lm  -lmalloc

all:  membanger

membanger: $(OBJS) $(TARGLIB)
	$(CC) -o membanger $(OBJS) $(LIB)

tcp-banger2: tcp-banger2.o
	$(CC) -g -o $@ tcp-banger2.o

tcp-banger2.o: tcp-banger2.c
	$(CC) -c $(CFLAGS) tcp-banger2.c

$(OBJS): Makefile

$(TARGLIB): $(LIBOBJS)
	$(AR_R) $(TARGLIB) $(LIBOBJS)

clean: 
	rm $(OBJS) $(TARGLIB) $(LIBOBJS)

=== doc/Programming-Guide/Makefile ===
DOC	= prog-guide

all: $(DOC).html $(DOC).ps

$(DOC).ps: $(DOC).dvi
	dvips -o $(DOC).ps $(DOC).dvi

$(DOC).dvi: $(DOC).sgml
	sgml2latex $(DOC)

#$(DOC).dvi: $(DOC).tex
#	latex $(DOC).tex
#	latex $(DOC).tex
#	latex $(DOC).tex
#
#$(DOC).tex: $(DOC).sgml
#	sgml2latex $(DOC)

$(DOC).html: $(DOC).sgml
	sgml2html $(DOC)

clean:
	rm -f *.html
	rm -f $(DOC).tex $(DOC).ps $(DOC).dvi $(DOC).aux $(DOC).log $(DOC).toc

## squid 3.1.9-1

=== debian/changelog ===
squid (3.1.9-1) unstable; urgency=low

  * Initial release (Closes: #0000)

 -- William Grim <william@grimapps.com>  Tue,  2 Nov 2010 21:35:01 -0400

=== debian/control ===
Source: squid
Section: user/network
Priority: extra
Maintainer: William Grim <william@grimapps.com>
Build-Depends: debhelper (>= 5), autotools-dev, libssl-dev (>= 0.9.8)
Standards-Version: 3.7.2
XB-Maemo-Display-Name: Squid HTTP Proxy
XB-Maemo-Upgrade-Description: Initial squid release.

Package: squid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Squid is a fully-featured HTTP/1.0 proxy.
 Squid is a fully-featured HTTP/1.0 proxy which is almost HTTP/1.1 compliant.
 Squid offers a rich access control, authorization and logging environment
 to develop web proxy and content serving applications.
 .
 Squid is used by hundreds of Internet Providers world-wide to provide their
 users with the best possible web access. Squid optimises the data flow
 between client and server to improve performance and caches frequently-used
 content to save bandwidth. Squid can also route content requests to servers
 in a wide variety of ways to build cache server hierarchies which optimise
 network throughput.

#Package: squid-doc
#Architecture: all
#Description: Documentation for squid
# Squid is a fully-featured HTTP/1.0 proxy which is almost HTTP/1.1 compliant.
# Squid offers a rich access control, authorization and logging environment
# to develop web proxy and content serving applications.
# .
# Squid is used by hundreds of Internet Providers world-wide to provide their
# users with the best possible web access. Squid optimises the data flow
# between client and server to improve performance and caches frequently-used
# content to save bandwidth. Squid can also route content requests to servers
# in a wide variety of ways to build cache server hierarchies which optimise
# network throughput.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
CXXFLAGS = -Wall -g
DEB_BUILD_OPTIONS += noopt,nostrip

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-storeio="aufs" --enable-ssl --enable-linux-tproxy --enable-icmp --enable-delay-pools --enable-cache-digests --enable-x-accelerator-vary


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status

	# Add here commands to compile the arch part of the package.
	$(MAKE) all
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp #CONFIGURE-STAMP#

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) DESTDIR=$(CURDIR)/debian/squid install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

## squid 4.0.10

=== Makefile ===


check_defined = \
    $(foreach 1,$1,$(__check_defined))
__check_defined = \
    $(if $(value $1),, \
      $(error Undefined $1$(if $(value 2), ($(strip $2)))))

all:
	tar xvf squid-4.0.10-32-bin.tar.xz
	echo "ALL FINISHED"
#	touch squid-4.0.10-32-bin.tar.xz

install:
	$(call check_defined, DESTDIR)
	#tar xvf squid-4.0.10-32-bin-stripped-only.tar.xz -C $(DESTDIR)/
	rsync -av usr -C $(DESTDIR)/
	rsync -av etc -C $(DESTDIR)/
	rsync -av var -C $(DESTDIR)/

clean:	
#	$(call check_defined, DESTDIR)
	rm ./usr/ -rf
	rm ./var/ -rf
	rm ./etc/ -rf
#	rm -rf $(DESTDIR)/
	echo "clean"

=== debian/changelog ===
squid (4.0.10) stable; urgency=low

  * First trial of Squid-Cache Packageing.

 -- Eliezer Croitoru <eliezer@ngtech.co.il>  Tue, 17 May 2016 08:21:29 +0300

=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Eliezer Croitoru <eliezer@ngtech.co.il>
Build-Depends: libldap2-dev, libpam0g-dev, libdb-dev, cdbs, libsasl2-dev, debhelper (>=9), libcppunit-dev, libkrb5-dev, comerr-dev, libcap2-dev [linux-any], libexpat1-dev, libxml2-dev, autotools-dev, libltdl-dev, dpkg-dev (>= 1.16.1~), pkg-config, libnetfilter-conntrack-dev [linux-any], nettle-dev, libgnutls28-dev, libssl-dev, dh-systemd
Standards-Version: 3.9.5
Homepage: http://www.ngtech.co.il/
#Vcs-Git: git://anonscm.debian.org/collab-maint/squid.git
#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/squid.git;a=summary

Package: squid
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libdbi-perl, adduser, netbase, ${perl:Depends}
Description: Squid-Cache proxy.

#Package: squid-dbg
#Architecture: any
#Section: debug
#Priority: extra
#Depends: squid (= ${binary:Version}), ${misc:Depends}
#Description: Squid-Cache Proxy - Debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

#DEB_DH_STRIP_ARGS := --dbg-package=squid-dbg


# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

DEB_MAKE_CLEAN_TARGET = clean
DEB_FIXPERMS_EXCLUDE = /usr/lib/squid/pinger

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#.PHONY: override_dh_strip
#override_dh_strip:
#	dh_strip --dbg-package=squid-dbg

# main packaging script based on dh7 syntax

install::
	install -m 755 -g root -d $(INSTALLDIR)/var/log
	install -m 755 -g root -d $(INSTALLDIR)/var/spool
	install -m 755 -g root -d $(INSTALLDIR)/var/run
	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
	install -m 750 -o proxy -g proxy -d $(INSTALLDIR)/var/log/squid
	install -m 750 -o proxy -g proxy -d $(INSTALLDIR)/var/spool/squid
	install -m 644 -g root debian/squid.logrotate $(INSTALLDIR)/etc/logrotate.d/squid
	chmod 4755 $(INSTALLDIR)/usr/lib/squid/pinger
	dh $@  --with autotools-dev

override_dh_systemd_enable:
	dh_systemd_enable \
		--no-enable
override_dh_systemd_start:
	dh_systemd_start \
		--restart-after-upgrade
%:
	dh $@ --with systemd

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## squid 4.0.21

=== debian/changelog ===
squid (4.0.21-1~exp5) experimental; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release (Closes: #853668)
    - Adds GnuTLS support for https:// URLs (Closes: #180886)
    - switch squid-purge to upstream man(1) manual page

  * debian/patches/
    - refresh patches for new version

  * debian/{rules,squid.install}
    - update rules to build NTLM LanMan helper
    - install squid.service file for systemd (Closes: #855268, #871602)

  * debian/control
    - Bumped Standards-Version to 4.1.0
    - updates Priority field for squid3 package to optional
    - minor maintenance improvements
    - mention compiler dependency for backport builds
    - remove squid-dbg in favour of automatic *-dbgsym packages
    - remove version 3.x specific text from long descriptions
    - add 'ed' package dependency for buster
    - remove unnecessary autotools-dev build-dependency

  * debian/{watch,squid.rc}
    - update for new major version

  * debian/copyright
    - auto generate from upstream CREDITS file

  [ Christian Ehrhardt <christian.ehrhardt@canonical.com> ]
  * Leverage squid qa regression testing code from
    https://code.launchpad.net/qa-regression-testing as an dep8 test.
    The tests were shrinked-to-fit and relicensed from their upstream
    counterparts to be easier to maintain and fully functional without
    internet access to work in infrastructures like DebCI.
    - debian/tests/squid: basic setup of local ftp/http/https servers to be
      used by test-squid.py
    - debian/tests/control: add squid test and dependencies
    - debian/tests/test-squid.py: the actual tests
    (Closes: #710014, #859072)

  [ Santiago Garcia Mantinan <manty@debian.org> ]
  * Change source package name to squid.
  * Clean up lintian a bit.
  * Get it ready for an upload to experimental.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 04 Oct 2017 23:19:36 +0200

squid3 (3.5.23-5) unstable; urgency=medium

  * Reload squid so that it uses modified config, not default one.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 03 Jun 2017 00:36:55 +0200

squid3 (3.5.23-4) unstable; urgency=medium

  [ Andreas Beckmann <anbe@debian.org> ]
  * debian/squid.postinst
    - Fix another upgrade edge case from 2.7 default install (Closes: #801564)

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * debian/squid.logrotate
    - Add missing piece of fix for sarg daily reports (LP: #1414754)

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 02 Jun 2017 00:19:55 +0200

squid3 (3.5.23-3) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * debian/squid.preinst
    - Fix upgrade sequence from jesse squid3 package (Closes: #858556)

  [ Santiago Garcia Mantinan <manty@debian.org> ]
  * debian/squid.{preinst,postinst,postrm}
    - Fix problems with empty squid3 dir and squid 2.7 installed
      (use the right logic with better checks).
    - Avoid install abortion by stopping squid3 only when it runs.

  [ Eric Veiras Galisson <bugs@sietch-tabr.com> ]
  * debian/squid.rc
    - Fix returncode is wrong with conf file with errors (Closes: #857137)

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 08 Apr 2017 02:52:28 +0200

squid3 (3.5.23-2) unstable; urgency=medium

  [ Santiago Garcia Mantinan <manty@debian.org> ]
  * debian/squid.{preinst,postinst,postrm}
    - Fix upgrade sequence from 2.7 packages (Closes: #801564)

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * debian/control
    - Relax dependency between squid and squid-common packages (Closes: #399489)
    - Add squidclient Recommends on ssl-cert

  [ Robie Basak <robie.basak@canonical.com> ]
  * debian/control
    - Add missing pre-depends on adduser
    - Add Vcs-Browser URL

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 19 Mar 2017 23:23:57 +0100

squid3 (3.5.23-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release (Closes: #793473, #822952)
    - Fixes security issue SQUID-2016:10 (CVE-2016-10003) (Closes: #848491)
    - Fixes security issue SQUID-2016:11 (CVE-2016-10002) (Closes: #848493)

  * debian/patches/
    - Remove patch included upstream

  * debian/tests/
    - Use package build-deps when testing so the make commands will work

 -- Luigi Gangitano <luigi@debian.org>  Sun, 18 Dec 2016 23:39:24 +0200

squid3 (3.5.22-1) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/patches
    - Add upstream patch to fix adaptation crashes

  * debian/{control, rules, squid.postinst}
    - Accept patch to remove setuid from pinger (Closes: #822992)

  [ Luigi Gangitano ]
  * debian/compat
    - Bump to debhelper compatibility level 10

  * debian/{control,tests/}
    - Add DEP-8 autopkgtest for upstream test suite, thanks to
      Santiago Ruano Rincan (Closes: #829141)

  * debian/rules
    - Avoid linking with unneeded libraries, thanks to Yuriy M. Kaminskiyi
      (Closes: #822998)

 -- Luigi Gangitano <luigi@debian.org>  Sat, 29 Oct 2016 23:13:00 +0200

squid3 (3.5.19-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release (Closes: #823968)
    - Fixes security issue SQUID-2016:7 (CVE-2016-4553)
    - Fixes security issue SQUID-2016:8 (CVE-2016-4554)
    - Fixes security issue SQUID-2016:9 (CVE-2016-4555, CVE-2016-4556)

  * debian/control
    - Bumped Standards-Version to 3.9.8, no change needed

  * debian/rules
    - Send hardening CPPFLAGS to custom build tools

 -- Luigi Gangitano <luigi@debian.org>  Tue, 10 May 2016 23:43:00 +0200

squid3 (3.5.17-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release
    - Fixes security issue SQUID-2016:5 (CVE-2016-4051)
    - Fixes security issue SQUID-2016:6 (CVE-2016-4052, CVE-2016-4053,
      CVE-2016-4054)

 -- Luigi Gangitano <luigi@debian.org>  Fri, 22 Apr 2016 14:43:00 +0200



=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Santiago Garcia Mantinan <manty@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 4.1.1
Vcs-Git: git://anonscm.debian.org/pkg-squid/pkg-squid.git/
Vcs-Browser: https://anonscm.debian.org/git/pkg-squid/pkg-squid.git/
Build-Depends: ed, libltdl-dev, pkg-config
	, g++ (>= 4.9) | clang (>= 3.7)
	, gcc (>= 4.9) | clang (>= 3.7)
	, cdbs, debhelper (>=10), dpkg-dev (>= 1.17.11~), lsb-release
	, libcppunit-dev
	, libcap2-dev [linux-any]
	, libdb-dev
	, libecap3-dev (>= 1.0.1-2)
	, libexpat1-dev
	, libgnutls28-dev (>= 3.5)
	, libkrb5-dev, comerr-dev
	, libldap2-dev
	, libnetfilter-conntrack-dev [linux-any]
	, libpam0g-dev
	, libsasl2-dev
	, libxml2-dev
	, nettle-dev

Package: squid3
Architecture: all
Section: oldlibs
Priority: optional
Pre-Depends: squid (>= ${source:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base
Description: Transitional package
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This is a transitional package used to migrate from squid3 to squid.

Package: squid
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbindd
Recommends: libcap2-bin [linux-any]
Conflicts: squid3 (<< ${binary:Version})
Replaces: squid3
Description: Full featured Web Proxy cache (HTTP proxy)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.

Package: squid-common
Architecture: all
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Provides: squid3-common
Conflicts: squid3-common
Replaces: squid3-common
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains common files (MIB and icons)

Package: squidclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ssl-cert
Provides: squid3-client
Conflicts: squid3-client
Replaces: squid3-client
Description: Full featured Web Proxy cache (HTTP proxy) - HTTP(S) message utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to get URLs from the 
 command line.

Package: squid-cgi
Architecture: any
Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
Provides: squid3-cgi
Conflicts: squid3-cgi
Replaces: squid3-cgi
Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a CGI program that can be used to query and administrate 
 a `squid' proxy cache through a web browser.

Package: squid-purge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - cache management utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, gopher, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to manage the disk cache
 from the command line.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
 
INSTALLDIR := $(CURDIR)/debian/tmp
datadir=/usr/share/squid

DEB_DH_INSTALL_SOURCEDIR := $(INSTALLDIR)
DEB_INSTALL_DOCS_squid-common := debian/copyright CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html \
						SPONSORS 

DEB_CONFIGURE_EXTRA_FLAGS := BUILDCXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
		--datadir=/usr/share/squid \
		--sysconfdir=/etc/squid \
		--libexecdir=/usr/lib/squid \
		--mandir=/usr/share/man \
		--enable-inline \
		--disable-arch-native \
		--enable-async-io=8 \
		--enable-storeio="ufs,aufs,diskd,rock" \
		--enable-removal-policies="lru,heap" \
		--enable-delay-pools \
		--enable-cache-digests \
		--enable-icap-client \
		--enable-follow-x-forwarded-for \
		--enable-auth-basic="DB,fake,getpwnam,LDAP,NCSA,NIS,PAM,POP3,RADIUS,SASL,SMB" \
		--enable-auth-digest="file,LDAP" \
		--enable-auth-negotiate="kerberos,wrapper" \
		--enable-auth-ntlm="fake,SMB_LM" \
		--enable-external-acl-helpers="file_userip,kerberos_ldap_group,LDAP_group,session,SQL_session,time_quota,unix_group,wbinfo_group" \
		--enable-url-rewrite-helpers="fake" \
		--enable-eui \
		--enable-esi \
		--enable-icmp \
		--enable-zph-qos \
		--enable-ecap \
		--disable-translation \
		--with-swapdir=/var/spool/squid \
		--with-logdir=/var/log/squid \
		--with-pidfile=/var/run/squid.pid \
		--with-filedescriptors=65536 \
		--with-large-files \
		--with-default-user=proxy

BUILDINFO := $(shell lsb_release -si 2>/dev/null)

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

DEB_CONFIGURE_EXTRA_FLAGS += --enable-build-info="$(BUILDINFO) $(DEB_HOST_ARCH_OS)"

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
endif
ifeq ($(DEB_HOST_ARCH_OS), linux)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter
endif

DEB_MAKE_CLEAN_TARGET = distclean

debian/copyright: debian/copyright.Debian CREDITS
	cat $^ | sed -e "s/59 Temple Place.* Suite 330/51 Franklin St, Fifth Floor/" -e "s/MA  \?02111[^, ]*/MA 02110-1301/" -e "s/675 Mass Ave/51 Franklin St, Fifth Floor/" -e "s/Cambridge, MA 02139/Boston, MA 02110-1301/" > $@

install/squid::
	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
	mv $(INSTALLDIR)/etc/squid/squid.conf.documented $(INSTALLDIR)/etc/squid/squid.conf
	mv $(INSTALLDIR)/usr/lib/squid/cachemgr.cgi $(INSTALLDIR)/usr/lib/cgi-bin/cachemgr.cgi
	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
	install -m 755 -g root -d $(INSTALLDIR)/lib/systemd/system
	install -m 755 -g root debian/squid.rc $(INSTALLDIR)/etc/init.d/squid
	install -m 644 -g root tools/systemd/squid.service $(INSTALLDIR)/lib/systemd/system/squid.service
	install -m 755 -g root debian/squid.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid
	install -m 644 -g root debian/squid.logrotate $(INSTALLDIR)/etc/logrotate.d/squid
	install -m 644 -g root debian/squid.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid
	install -m 755 -g root -d debian/squid/var/log
	install -m 755 -g root -d debian/squid/var/spool
	install -m 755 -g root -d debian/squid/var/run
	install -m 750 -o proxy -g proxy -d debian/squid/var/log/squid
	install -m 750 -o proxy -g proxy -d debian/squid/var/spool/squid
	install -m 755 -g root -d $(INSTALLDIR)/usr/share/man/man1
	mv $(INSTALLDIR)/usr/bin/purge $(INSTALLDIR)/usr/bin/squid-purge
	mv $(INSTALLDIR)/usr/share/man/man1/purge.1 $(INSTALLDIR)/usr/share/man/man1/squid-purge.1

## squid 4.0.23

=== debian/changelog ===
squid (4.0.23-1~exp8) experimental; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release

  * debian/control
    - Bumped Standards-Version to 4.1.2, no change needed

  * debian/rules
    - clean up a bit for lintian
    - explicitly list TLS certificate validator and Store-ID helpers built
    - add /etc/squid/conf.d/ directory for local settings separate from
      the default configuration.

  * debian/squid.install
    - add missing man(8) page for security_fake_certverify helper

  * Add configuration file for Debian settings

 -- Luigi Gangitano <luigi@debian.org>  Tue, 23 Jan 2018 10:39:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Vcs-Git: git://anonscm.debian.org/pkg-squid/pkg-squid.git/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-squid/pkg-squid.git/
 Build-Depends: ed, libltdl-dev, pkg-config

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,17 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
- 
+
 INSTALLDIR := $(CURDIR)/debian/tmp
 datadir=/usr/share/squid
 
 DEB_DH_INSTALL_SOURCEDIR := $(INSTALLDIR)
-DEB_INSTALL_DOCS_squid-common := debian/copyright CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html \
-						SPONSORS 
+DEB_INSTALL_DOCS_squid-common := debian/copyright CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html SPONSORS
+
+BUILDINFO := $(shell lsb_release -si 2>/dev/null)
 
 DEB_CONFIGURE_EXTRA_FLAGS := BUILDCXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
+		--enable-build-info="$(BUILDINFO) $(DEB_HOST_ARCH_OS)" \
 		--datadir=/usr/share/squid \
 		--sysconfdir=/etc/squid \
 		--libexecdir=/usr/lib/squid \
@@ -34,6 +36,8 @@
 		--enable-auth-negotiate="kerberos,wrapper" \
 		--enable-auth-ntlm="fake,SMB_LM" \
 		--enable-external-acl-helpers="file_userip,kerberos_ldap_group,LDAP_group,session,SQL_session,time_quota,unix_group,wbinfo_group" \
+		--enable-security-cert-validators="fake" \
+		--enable-storeid-rewrite-helpers="file" \
 		--enable-url-rewrite-helpers="fake" \
 		--enable-eui \
 		--enable-esi \
@@ -47,12 +51,6 @@
 		--with-filedescriptors=65536 \
 		--with-large-files \
 		--with-default-user=proxy
-
-BUILDINFO := $(shell lsb_release -si 2>/dev/null)
-
-DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-build-info="$(BUILDINFO) $(DEB_HOST_ARCH_OS)"
 
 ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
 		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
@@ -69,6 +67,8 @@
 install/squid::
 	install -m 755 -g root -d $(INSTALLDIR)/usr/lib/cgi-bin
 	mv $(INSTALLDIR)/etc/squid/squid.conf.documented $(INSTALLDIR)/etc/squid/squid.conf
+	install -m 755 -g root -d $(INSTALLDIR)/etc/squid/conf.d
+	install -m 644 -g root debian/debian.conf $(INSTALLDIR)/etc/squid/conf.d/debian.conf
 	mv $(INSTALLDIR)/usr/lib/squid/cachemgr.cgi $(INSTALLDIR)/usr/lib/cgi-bin/cachemgr.cgi
 	install -m 755 -g root -d $(INSTALLDIR)/etc/init.d
 	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, fakeroot, squid
Restrictions: allow-stderr

Tests: squid
Depends: squid, squidclient, elinks, netcat, pygopherd, apparmor-utils, vsftpd, apache2
Restrictions: needs-root

=== debian/watch ===
version=3
http://www.squid-cache.org/Versions/v4/squid-([\.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
